
import { CommonService } from '~/plugins/api/common';

export default () => ({
    recommendConsultantList(){
        const debugData = [
            {
                id: 0,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/31.jpg',
                loginState: '上線',
                satisfaction: 4.8
            },
            {
                id: 1,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/32.jpg',
                loginState: '上線',
                satisfaction: 4
            },
            {
                id: 2,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/33.jpg',
                loginState: '離線',
                satisfaction: 5
            },
            {
                id: 3,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/34.jpg',
                loginState: '上線',
                satisfaction: 4.3
            },
            {
                id: 4,
                name: '張小美',
                img: 'https://randomuser.me/api/portraits/women/35.jpg',
                loginState: '忙碌',
                satisfaction: 4.8
            },
            {
                id: 5,
                name: '蔣帥哥',
                img: 'https://randomuser.me/api/portraits/men/36.jpg',
                loginState: '離線',
                satisfaction: 4
            },
            {
                id: 6,
                name: '林美女',
                img: 'https://randomuser.me/api/portraits/women/37.jpg',
                loginState: '忙碌',
                satisfaction: 5
            },
            {
                id: 7,
                name: '蔡美眉',
                img: 'https://randomuser.me/api/portraits/women/38.jpg',
                loginState: '上線',
                satisfaction: 4.3
            }
        ]
        return CommonService.prototype.withDebugData(debugData, 'https://randomuser.me/api/')
    }
})

export interface Agents {
    id: number,
    name: string,
    img: string,
    loginState: string,
    satisfaction: number
  }